package vehicle;

import fr.cnes.genius.exception.GException;
import fr.cnes.genius.lowLevel.GPanel;
import fr.cnes.genius.main.GReadWrite;
import fr.cnes.genius.utils.GPanTest;
import fr.cnes.genopus.maneuvers.GPEngine;
import fr.cnes.genopus.maneuvers.GPFuelTank;
import fr.cnes.sirius.addons.patriusdataset.PatriusDataset;
import fr.cnes.sirius.patrius.assembly.properties.PropulsiveProperty;
import fr.cnes.sirius.patrius.assembly.properties.TankProperty;
import fr.cnes.sirius.patrius.utils.exception.PatriusException;

/**
 * Tutorial for using GPEngine and GPFuelTank.
 * @author goesterjf
 *
 */
public class TestGPEngineAndTank extends GPanel implements GReadWrite {

    private GPEngine engine;
    private GPFuelTank tank;
    
    public TestGPEngineAndTank() throws PatriusException {

        PropulsiveProperty prop = new PropulsiveProperty(400., 230.);
//        prop.setPartName("OCS");
//        engine = new GPEngine();
//        engine = new GPEngine("label");
//        engine = new GPEngine("widId", "label");
        engine = new GPEngine("wid", "label", "OCS", prop);

        TankProperty tankProp = new TankProperty(250.);
        //tankProp.setPartName("T1");
        tank = new GPFuelTank("My Tank", "T1", tankProp);

    }

    public void display() throws GException {
        generic();
    }

    @Override
    public void generic() throws GException {
        put(engine);
        put(tank);
    }

    public void read() throws GException {
        generic();
    }

    public void write() throws GException {
        generic();
    }
    
   /**
     * @param args
     * @throws OrekitException 
     */
    public static void main(String[] args) throws PatriusException {

        PatriusDataset.addResourcesFromPatriusDataset();
        
        TestGPEngineAndTank test = new TestGPEngineAndTank();

        GPanTest frame = new GPanTest("Engine and tank", test, "GPEngineAndTank.xml");
        frame.display();

    }

}
